org.apache.sling.maven.slingstart

## Class ModelPreprocessor.Environment

- java.lang.Object
- - org.apache.sling.maven.slingstart.ModelPreprocessor.Environment

Enclosing class:
  ModelPreprocessor

    public static final class ModelPreprocessor.Environment
    extends Object

### Field Summary

Fields
`org.apache.maven.artifact.handler.manager.ArtifactHandlerManager` `artifactHandlerManager`
`org.codehaus.plexus.logging.Logger` `logger`
`Map<String,ModelPreprocessor.ProjectInfo>` `modelProjects`
`org.apache.maven.artifact.resolver.ArtifactResolver` `resolver`
`org.apache.maven.execution.MavenSession` `session`

### Constructor Summary

Constructors
Constructor and Description
`Environment()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### artifactHandlerManager

    public org.apache.maven.artifact.handler.manager.ArtifactHandlerManager artifactHandlerManager

#### resolver

    public org.apache.maven.artifact.resolver.ArtifactResolver resolver

#### session

    public org.apache.maven.execution.MavenSession session

#### logger

    public org.codehaus.plexus.logging.Logger logger

#### modelProjects

    public final Map<String,ModelPreprocessor.ProjectInfo> modelProjects

### Constructor Detail

#### Environment

    public Environment()